This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 790720 - (CVE-2012-0498) CVE-2012-0498 Oracle JDK: unspecified vulnerability fixed in 6u31 and 7u3 (2D)
CVE-2012-0498 Oracle JDK: unspecified vulnerability fixed in 6u31 and 7u3 (2D)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120214,repor...
: Security
Depends On: 788202 788203 788204 788205 788206 813689 813690 813691 813692 814225 814226 814227 814228
Blocks: 786724
  Show dependency treegraph
 
Reported: 2012-02-15 04:19 EST by Tomas Hoger
Modified: 2015-11-24 09:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 03:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-02-15 04:19:35 EST
Java SE 6 Update 31 and Java SE 7 Update 3 of Oracle/Sun Java fixes an unspecified vulnerability in the Java2D component (CVE-2012-0498). Upstream has CVSSv2 scored this issue as: 10/AV:N/AC:L/Au:N/C:C/I:C/A:C

http://www.oracle.com/technetwork/topics/security/javacpufeb2012-366318.html
Comment 1 errata-xmlrpc 2012-02-16 14:02:19 EST
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0139 https://rhn.redhat.com/errata/RHSA-2012-0139.html
Comment 2 Tomas Hoger 2012-04-12 09:16:54 EDT
According to ZDI-12-060, this is integer overflow leading to heap-based buffer overflow issue.

Oracle Java Runtime readMabCurveData nTblSize Remote Code Execution Vulnerability
http://www.zerodayinitiative.com/advisories/ZDI-12-060/
Comment 3 errata-xmlrpc 2012-04-23 13:04:30 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0508 https://rhn.redhat.com/errata/RHSA-2012-0508.html
Comment 4 errata-xmlrpc 2012-04-24 15:36:10 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0514 https://rhn.redhat.com/errata/RHSA-2012-0514.html
Comment 5 Tomas Hoger 2012-06-22 04:18:54 EDT
(In reply to comment #2)
> According to ZDI-12-060, this is integer overflow leading to heap-based
> buffer overflow issue.
> 
> Oracle Java Runtime readMabCurveData nTblSize Remote Code Execution
> Vulnerability
> http://www.zerodayinitiative.com/advisories/ZDI-12-060/

Additionally, according to:

http://www.attrition.org/pipermail/vim/2012-June/002572.html

CVE-2012-0498 is also related to:

http://www.zerodayinitiative.com/advisories/ZDI-12-032/

It seems the CVE was used for multiple issues.
Comment 6 errata-xmlrpc 2013-10-23 13:04:33 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Note You need to log in before you can comment on or make changes to this bug.